beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Halperin (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (BEAM-82) Transitive dependencies in Beam pom.xml have conflicts that could result in old versions if reordered
Date Thu, 20 Oct 2016 21:47:02 GMT

     [ https://issues.apache.org/jira/browse/BEAM-82?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Daniel Halperin closed BEAM-82.
-------------------------------

> Transitive dependencies in Beam pom.xml have conflicts that could result in old versions
if reordered
> -----------------------------------------------------------------------------------------------------
>
>                 Key: BEAM-82
>                 URL: https://issues.apache.org/jira/browse/BEAM-82
>             Project: Beam
>          Issue Type: Bug
>          Components: sdk-java-core
>            Reporter: Kenneth Knowles
>            Assignee: Kenneth Knowles
>              Labels: pom.xml
>             Fix For: 0.1.0-incubating
>
>
> Specifically, com.google.apis:google-api-services-datastore-protobuf depends on a very
old version of the suite of Google API libraries. It is by maven's dependency resolution that
these are generally overridden by other dependencies on the new versions.
> It is easy (and I have done it) to get things rearranged so that it pulls in the very
old API clients. They should be suppressed and provided in their latest form for compatibility
with the rest of the SDK that is up to date.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message